Subject: Re: bug#42304: 27.0.50; Emacs does not adjust to global font scaling anymore

From: Torsten Bronger <[email-masked]>
Date: Fri, 10 Jul 2020 10:01:00 +0200

Hallöchen!

Eli Zaretskii writes:

>> From: Torsten Bronger <[email-masked]>
>> Date: Fri, 10 Jul 2020 09:06:43 +0200
>> 
>> If I re-scale all fonts on my Gnome desktop with e.g.
>> 
>> dconf write /org/gnome/desktop/interface/text-scaling-factor 2.0
>> 
>> Emacs is the only application that does not change its font size
>> accordingly.  Instead, I have to re-start Emacs.  This used to work
>> properly.  The problem was introduced with commit f208d5ae77.
>> 
>> In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu)
>>  of 2020-07-10 built on brad
>> Repository revision: 3f9d96e3d70e94768add7d89ffcb94be7de4597e
>> Repository branch: HEAD
>
> You seem to be using a very old version of the Emacs repository.
> Could you please try building the latest emacs-27 branch, or the
> latest pretest 27.0.91 of the upcoming Emacs 27?  You can find the
> pretest on alpha.gnu.org.

I bisected between

    commit 9ade7ea7b77ec40c16deb4dff139ce7127a703e2 (HEAD -> master, origin/master, origin/HEAD)
    Author: João Távora <[email-masked]>
    Date:   Fri Jul 10 01:47:10 2020 +0100

and

    commit 7c7ee1dd52239ecc3665b7542bd5e0ebc9b74795 (grafted, HEAD)
    Author: Glenn Morris <[email-masked]>
    Date:   Mon Apr 29 09:12:53 2019 -0700

and the commit mentioned in my report introduced the problem.  (Note
that the following commit 3f9d96e3d made it compilable.)

Tschö,
Torsten.

-- 
Torsten Bronger